from django.db import models


class User(models.Model):
    nickname = models.CharField(max_length=50)
    bio = models.TextField(max_length=100)
    profile_photo = models.ImageField()

    def __str__(self):
        return self.nickname


class Key(models.Model):
    key_name = models.CharField(max_length=50)
    key_description = models.TextField(max_length=100)

    def __str__(self):
        return self.key_name


class ItemsThisWeek(models.Model):
    key_type = models.ForeignKey(Key, on_delete=models.CASCADE)
    details = models.TextField(max_length=50)

    def __str__(self):
        return self.details


class ItemsToday(models.Model):
    key_type = models.ForeignKey(Key, on_delete=models.CASCADE)
    details = models.TextField(max_length=50)

    def __str__(self):
        return self.details
