from django.urls import path

from . import views

urlpatterns = [
    path('home/', views.ShowHome, name='home'),
    path('profile/', views.ShowProfile, name='profile'),
    path('key/', views.ShowKey, name='key'),
    path('add_key/', views.ShowAddKey, name='add_key'),
    path('this_week/', views.ShowThisWeek, name='this_week'),
    path('add_itemTW/', views.ShowAddItemTW, name='add_itemTW'),
    path('edit_itemTW/<int:pk>', views.ShowEditItemTW, name='edit_itemTW'),
    path('delete_itemTW/<int:pk>', views.ShowDeleteItemTW, name='delete_itemTW'),
    path('today/', views.ShowToday, name='today'),
    path('add_itemT', views.ShowAddItemT, name='add_itemT'),
    path('edit_itemT/<int:pk>', views.ShowEditItemT, name='edit_itemT'),
    path('delete_itemT/<int:pk>', views.ShowDeleteItemT, name='delete_itemT'),
    path('edit_nickname', views.ShowEditNickname, name='edit_nickname'),
    path('edit_bio', views.ShowEditBio, name='edit_bio'),
]
